%
% This demo steps you through the v_hydro
% package, demonstrating what each component does
%
% just type v_demo and follow the prompts
%
more on
help v_demo
disp('Welcome to v_hydro!!!!!!')
disp(' ')
disp('The first step is to extract the data for the cruise and variable of choice')

disp(' This is done with v_xtract, which works as follows:')


help v_xtract

disp(' Just be sure that the variable and cruise.sections exist')
disp(' cruise.sections is created using sectioner, a lower level tool.')
disp(' ')
disp(' NOTE:You probably have to get the latest version of the 98 .mat files')
disp('  in order to use this (they have alex counts and sections).')
disp(' ')

wait='Press any key continue';
disp(wait)
pause

D_sal=v_xtract('98cb06','D','sal')

disp(wait)
pause
disp(' You can use this structure as you wish, expecially with v_contour')

help v_contour

disp(wait)
pause

disp('Wait please, it takes me a few seconds to make the contour...')

v_contour(D_sal,[26:.5:32],[26 32])

disp(' Now you have a hydrographic slice, you can overlay cell count dots, if you wish, using v_dotter')

help v_dotter

disp(wait)
pause

disp('Wait please, it takes me a few seconds to make the dots...')
v_dotter('98cb06',D_sal)

disp(' Thanks for demoing my handy tools!  send questions to jhyatt@usgs.gov')
more off
return

